### Method

# Gtk TextBuffer paste_clipboard

#### Declaration [src]

    void
    gtk_text_buffer_paste_clipboard (
      GtkTextBuffer* buffer,
      GdkClipboard* clipboard,
      GtkTextIter* override_location,
      gboolean default_editable
    )

#### Description [src]

Pastes the contents of a clipboard.

If `override_location` is `NULL`, the pasted text will be inserted at the cursor position, or the buffer selection will be replaced if the selection is non-empty.

Note: pasting is asynchronous, that is, we’ll ask for the paste data and return, and at some point later after the main loop runs, the paste data will be inserted.

#### Parameters

`clipboard` | `GdkClipboard*`
| The `GdkClipboard` to paste from.
| The data is owned by the caller of the function.
`override_location` | `GtkTextIter`
| Location to insert pasted text.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`default_editable` | `gboolean`
| Whether the buffer is editable by default.